TYPEDEF JOURNAL_T(9)

NAME
typedef_journal_t - The journal_t maintains all of the journaling state information for a single filesystem.

SYNOPSIS

typedef journal_t;

DESCRIPTION

journal_t is linked to from the fs superblock structure.

We use the journal_t to keep track of all outstanding transaction activity on the filesystem, and to manage the state of the log writing process.

This is an opaque datatype.

AUTHORS

Roger Gammans <rgammans@computer-surgery.co.uk>
    Author.

Stephen Tweedie <sct@redhat.com>
    Author.

COPYRIGHT